ELNode.Function (Apache Tomcat 9.0.120 API Documentation)
Description: declaration: package: org.apache.jasper.compiler, class: ELNode, class: Function

# Class ELNode.Function

java.lang.Object
org.apache.jasper.compiler.ELNode
org.apache.jasper.compiler.ELNode.Function

Enclosing class:
  `ELNode`

public static class ELNode.Function extends ELNode
Represents a function. Currently only include the prefix and function name, but not its arguments.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class ELNode

  `ELNode.ELText, ELNode.Function, ELNode.Nodes, ELNode.Root, ELNode.Text, ELNode.Visitor`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `accept(ELNode.Visitor v)`
  Accepts a visitor for traversing this node.
  `FunctionInfo`
  `getFunctionInfo()`
  Returns the FunctionInfo for this function.
  `String`
  `getMethodName()`
  Returns the Java method name mapped to this EL function.
  `String`
  `getName()`
  Returns the function name.
  `String`
  `getOriginalText()`
  Returns the original function text as it appeared in the source.
  `String[]`
  `getParameters()`
  Returns the parameter type signatures for this function.
  `String`
  `getPrefix()`
  Returns the namespace prefix.
  `String`
  `getUri()`
  Returns the URI associated with this function's namespace.
  `void`
  `setFunctionInfo(FunctionInfo f)`
  Sets the FunctionInfo for this function.
  `void`
  `setMethodName(String methodName)`
  Sets the Java method name mapped to this EL function.
  `void`
  `setParameters(String[] parameters)`
  Sets the parameter type signatures for this function.
  `void`
  `setUri(String uri)`
  Sets the URI associated with this function's namespace.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### accept

    public void accept(ELNode.Visitor v) throws JasperException
    Description copied from class: `ELNode`
    Accepts a visitor for traversing this node.
    Specified by:
      `accept` in class `ELNode`
    Parameters:
      `v` - the visitor
    Throws:
      `JasperException` - if an error occurs during visitation

  - ### getPrefix

    public String getPrefix()
    Returns the namespace prefix.
    Returns:
      the prefix

  - ### getName

    public String getName()
    Returns the function name.
    Returns:
      the name

  - ### getOriginalText

    public String getOriginalText()
    Returns the original function text as it appeared in the source.
    Returns:
      the original text

  - ### setUri

    public void setUri(String uri)
    Sets the URI associated with this function's namespace.
    Parameters:
      `uri` - the namespace URI

  - ### getUri

    public String getUri()
    Returns the URI associated with this function's namespace.
    Returns:
      the URI

  - ### setFunctionInfo

    public void setFunctionInfo(FunctionInfo f)
    Sets the FunctionInfo for this function.
    Parameters:
      `f` - the function info

  - ### getFunctionInfo

    public FunctionInfo getFunctionInfo()
    Returns the FunctionInfo for this function.
    Returns:
      the function info

  - ### setMethodName

    public void setMethodName(String methodName)
    Sets the Java method name mapped to this EL function.
    Parameters:
      `methodName` - the method name

  - ### getMethodName

    public String getMethodName()
    Returns the Java method name mapped to this EL function.
    Returns:
      the method name

  - ### setParameters

    public void setParameters(String[] parameters)
    Sets the parameter type signatures for this function.
    Parameters:
      `parameters` - the parameter type signatures

  - ### getParameters

    public String[] getParameters()
    Returns the parameter type signatures for this function.
    Returns:
      the parameter type signatures